/*
	AramakiOnline
	Copyright (C) 2008 superbacker

	This program is free software; you can redistribute it and/or modify it under the terms
	of the GNU General Public License as published by the Free Software Foundation;
	either version 3 of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful, but WITHOUT ANY
	WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
	FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

	You should have received a copy of the GNU General Public License along with this
	program. If not, see <http://www.gnu.org/licenses/>.
 */

#include "Balloon.h"

void Balloon::draw() const {
	TextPolygon::draw();

	//ふきだしの下部を描画
	glBegin(GL_TRIANGLES);
	glVertex3d(position.x+width/2-0.1,position.y,position.z);
	glVertex3d(position.x+width/2,position.y-0.2,position.z);
	glVertex3d(position.x+width/2+0.1,position.y,position.z);
	glEnd();
}
